org.apache.felix.bundlerepository.impl

## Class LazyHashMap.LazyValue<K,V>

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.LazyHashMap.LazyValue<K,V>

Enclosing class:
  LazyHashMap<K,V>

    public static class LazyHashMap.LazyValue<K,V>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LazyHashMap.LazyValue(K key, java.util.concurrent.Callable<V> callable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LazyHashMap.LazyValue

    public LazyHashMap.LazyValue(K key,
                         java.util.concurrent.Callable<V> callable)